Summary:	Userspace interface to kernel DRM services
Summary(pl.UTF-8):	Interfejs przestrzeni użytkownika do usług DRM jądra
Name:		libdrm
Version:	2.4.65
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://dri.freedesktop.org/libdrm/%{name}-%{version}.tar.bz2
# Source0-md5:	de49916e5f8aef4eba55223c79709b05
URL:		http://dri.freedesktop.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	libpthread-stubs
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	valgrind
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
BuildRequires:	xorg-util-util-macros >= 1.12
Requires:	xorg-lib-libpciaccess >= 0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Userspace interface to kernel DRM services.

%description -l pl.UTF-8
Interfejs przestrzeni użytkownika do usług DRM jądra.

%package devel
Summary:	Header files for libdrm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdrm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdrm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdrm.

%package static
Summary:	Static libdrm library
Summary(pl.UTF-8):	Statyczna biblioteka libdrm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdrm library.

%description static -l pl.UTF-8
Statyczna biblioteka libdrm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-static \
%ifarch arm aarch64
	--enable-exynos-experimental-api \
	--enable-freedreno-experimental-api \
	--enable-omap-experimental-api \
	--enable-tegra-experimental-api
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdrm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm.so.2
%attr(755,root,root) %{_libdir}/libdrm_amdgpu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_amdgpu.so.1
%attr(755,root,root) %{_libdir}/libdrm_intel.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_intel.so.1
%attr(755,root,root) %{_libdir}/libdrm_nouveau.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_nouveau.so.2
%attr(755,root,root) %{_libdir}/libdrm_radeon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_radeon.so.1
%ifarch arm aarch64
%attr(755,root,root) %{_libdir}/libdrm_exynos.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_exynos.so.1
%attr(755,root,root) %{_libdir}/libdrm_freedreno.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_freedreno.so.1
%attr(755,root,root) %{_libdir}/libdrm_omap.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_omap.so.1
%attr(755,root,root) %{_libdir}/libdrm_tegra.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_tegra.so.0
%endif
%attr(755,root,root) %{_libdir}/libkms.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkms.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdrm.so
%attr(755,root,root) %{_libdir}/libdrm_amdgpu.so
%attr(755,root,root) %{_libdir}/libdrm_intel.so
%attr(755,root,root) %{_libdir}/libdrm_nouveau.so
%attr(755,root,root) %{_libdir}/libdrm_radeon.so
%attr(755,root,root) %{_libdir}/libkms.so
%{_libdir}/libdrm.la
%{_libdir}/libdrm_amdgpu.la
%{_libdir}/libdrm_intel.la
%{_libdir}/libdrm_nouveau.la
%{_libdir}/libdrm_radeon.la
%{_libdir}/libkms.la
%{_includedir}/libdrm
%{_includedir}/libkms
%{_includedir}/xf86drm.h
%{_includedir}/xf86drmMode.h
%{_pkgconfigdir}/libdrm.pc
%{_pkgconfigdir}/libdrm_amdgpu.pc
%{_pkgconfigdir}/libdrm_intel.pc
%{_pkgconfigdir}/libdrm_nouveau.pc
%{_pkgconfigdir}/libdrm_radeon.pc
%{_pkgconfigdir}/libkms.pc
%ifarch arm aarch64
%attr(755,root,root) %{_libdir}/libdrm_exynos.so
%attr(755,root,root) %{_libdir}/libdrm_freedreno.so
%attr(755,root,root) %{_libdir}/libdrm_omap.so
%attr(755,root,root) %{_libdir}/libdrm_tegra.so
%{_libdir}/libdrm_exynos.la
%{_libdir}/libdrm_freedreno.la
%{_libdir}/libdrm_omap.la
%{_libdir}/libdrm_tegra.la
%{_includedir}/exynos
%{_includedir}/freedreno
%{_includedir}/omap
# already included above
#%{_includedir}/libdrm/tegra.h
%{_pkgconfigdir}/libdrm_exynos.pc
%{_pkgconfigdir}/libdrm_freedreno.pc
%{_pkgconfigdir}/libdrm_omap.pc
%{_pkgconfigdir}/libdrm_tegra.pc
%endif
%{_mandir}/man3/drm*.3*
%{_mandir}/man7/drm*.7*

%files static
%defattr(644,root,root,755)
%{_libdir}/libdrm.a
%{_libdir}/libdrm_amdgpu.a
%{_libdir}/libdrm_intel.a
%{_libdir}/libdrm_nouveau.a
%{_libdir}/libdrm_radeon.a
%ifarch arm aarch64
%{_libdir}/libdrm_exynos.a
%{_libdir}/libdrm_freedreno.a
%{_libdir}/libdrm_omap.a
%{_libdir}/libdrm_tegra.a
%endif
%{_libdir}/libkms.a
%changelog
* Sun Sep 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdrm.git;a=log;h=master

* Sat Sep 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 65fde4c
- updated to 2.4.65

* Thu Aug 20 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 353bd93
- up to 2.4.64

* Sat Aug 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d42ce4
- up to 2.4.63

* Thu Jul 30 2015 Jan Rękorajski <baggins@pld-linux.org> 4be48ab
- BR valgrind
- rel 2

* Wed Jul 01 2015 Jakub Bogusz <qboosh@pld-linux.org> f8b0632
- updated to 2.4.62

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 0db70b0
- updated to 2.4.61

* Sun Mar 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ef82e1d
- up to 2.4.60

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 851c92f
- x32 rebuild
- release 2 (by relup.sh)

* Wed Jan 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 3e5be40
- removed obsolete option; enable tegra on arm

* Wed Jan 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> aadf9ed
- up to 2.4.59

* Sun Sep 28 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ed7ffc
- up to 2.4.58

* Sun Sep 28 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e3be70
- up to 2.4.57

* Thu Sep 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 38af8e0
- rel 2; try to fix segfault when using non-intel gpu but libdrm checks intel related stuff

* Thu Jul 31 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 33962ea
- up to 2.4.56

* Sun Jul 27 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 348bd77
- up to 2.4.55

* Fri May 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 34bceb9
- up to 2.4.54

* Mon Apr 14 2014 Jakub Bogusz <qboosh@pld-linux.org> ecaf516
- updated to 2.4.53

* Sat Jan 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 9dddefb
- updated to 2.4.52

* Sun Jan 19 2014 Jakub Bogusz <qboosh@pld-linux.org> e609278
- updated to 2.4.51

* Tue Dec 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b9ab3f2
- up to 2.4.50

